/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: MyOtherFault.java 62602 2011-04-21 14:51:41Z kgrucci $
 */

package com.sun.ts.tests.jaxws.mapping.j2wmapping.rpc.literal.withannotations;

@javax.xml.ws.WebFault(name="MyOtherFault",
    targetNamespace="http://rpclitservice.org/wsdl",
    faultBean="MyOtherFaultBean"
)
public class MyOtherFault extends  Exception {
    private MyOtherFaultBean faultInfo;

    public MyOtherFault(String message, MyOtherFaultBean faultInfo) {
        super(message);
	this.faultInfo = faultInfo;
    }
    
    public MyOtherFault(String message, MyOtherFaultBean faultInfo, Throwable cause) {
        super(message, cause);
	this.faultInfo = faultInfo;
    }

    public MyOtherFaultBean getFaultInfo() {
	return faultInfo;
    }
}
